Package twisted :: Package web :: Module distrib :: Class _ReferenceableProducerWrapper

[show private | hide private]
[frames | no frames]

## Class _ReferenceableProducerWrapper

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       _ReferenceableProducerWrapper

Method Summary
| `__init__(self, producer)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_pauseProducing(self)`
| `remote_resumeProducing(self)`
| `remote_stopProducing(self)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:37 2003 | http://epydoc.sf.net